DH_INSTALLEMACSEN(1)

NOM
dh_installemacsen - Inscrire un paquet additionnel Emacs

SYNOPSIS
dh_installemacsen [options_de_debhelper] [-n] [--priority=n] [--flavor=toto]

DESCRIPTION
dh_installemacsen est le programme de la suite debhelper chargé de l'installation, dans le répertoire de construction du paquet, des fichiers utilisés par le paquet Debian emacsen-common.

Ce programme va également, automatiquement, produire les lignes de code des scripts de maintenance preinst, postinst et prerm nécessaires à l'inscription du paquet en tant que paquet additionnel d'Emacs. Les commandes sont ajoutées dans les scripts de maintenance par dh_installdeb. Consulter dh_installdeb(1) pour obtenir une explication sur ce fonctionnement.

FICHIERS

debian/paquet.emacsen-compat
    Installé dans le répertoire de construction du paquet sous usr/lib/emacsen-common/packages/compat/paquet.

debian/paquet.emacsen-install
    Installé dans le répertoire de construction du paquet sous usr/lib/emacsen-common/paquet/install/paquet.

debian/paquet.emacsen-remove
    Installé dans le répertoire de construction du paquet sous usr/lib/emacsen-common/packages/remove/paquet.

debian/paquet.emacsen-startup
    Installé dans le répertoire de construction du paquet sous etc/emacs/site-start.d/50paquet.el. Utilise --priority pour définir une priorité différente de 50.

OPTIONS

-n, --no-scripts
    Empêche la modification des scripts de maintenance du paquet postinst et prerm.

--priority=n
    Fixe le numéro de priorité du fichier site-start.d. La valeur par défaut est 50.

--flavor=toto
    Fixe la « saveur » dans laquelle le fichier site-start.d sera installé. La valeur par défaut est emacs. Les autres valeurs possibles sont xemacs et emacs20.

REMARQUES
Nota : Ce programme n'est pas idempotent. Un dh_prep(1) doit être réalisé entre chaque exécution de ce programme. Sinon, il risque d'y avoir plusieurs occurrences des mêmes lignes de code dans les scripts de maintenance du paquet.

VOIR AUSSI
debhelper(7) "usr/share/doc/emacsen-common/debian-emacs-policy.gz"

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».